{
  "schema_version": "1.4.0",
  "id": "GHSA-x4pr-8j2p-f6j2",
  "modified": "2025-04-20T03:31:28Z",
  "published": "2022-05-17T03:02:32Z",
  "aliases": [
    "CVE-2016-6164"
  ],
  "details": "Integer overflow in the mov_build_index function in libavformat/mov.c in FFmpeg before 2.8.8, 3.0.x before 3.0.3 and 3.1.x before 3.1.1 allows remote attackers to have unspecified impact via vectors involving sample size.",
  "severity": [
    {
      "type": "CVSS_V3",
      "score": "CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H"
    }
  ],
  "affected": [],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2016-6164"
    },
    {
      "type": "WEB",
      "url": "https://www.ffmpeg.org/security.html"
    },
    {
      "type": "WEB",
      "url": "http://git.videolan.org/gitweb.cgi/ffmpeg.git/?a=commit%3Bh=8a3221cc67a516dfc1700bdae3566ec52c7ee823"
    },
    {
      "type": "WEB",
      "url": "http://git.videolan.org/gitweb.cgi/ffmpeg.git/?a=commit;h=8a3221cc67a516dfc1700bdae3566ec52c7ee823"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/bid/95862"
    }
  ],
  "database_specific": {
    "cwe_ids": [
      "CWE-190"
    ],
    "severity": "CRITICAL",
    "github_reviewed": false,
    "github_reviewed_at": null,
    "nvd_published_at": "2017-01-23T21:59:00Z"
  }
}